package me.parsell.dmblock.Core;

import me.parsell.dmblock.dmBlock;
import me.parsell.dmblock.Common.MultiBlockFacadeBlock;
import me.parsell.dmblock.Common.MultiBlockFacadeBlockEntity;
import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.fabricmc.fabric.api.object.builder.v1.block.entity.FabricBlockEntityTypeBuilder;
import net.minecraft.block.Block;
import net.minecraft.block.Material;
import net.minecraft.block.entity.BlockEntityType;
import net.minecraft.item.BlockItem;
import net.minecraft.item.ItemGroup;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;

public class dmBlocks {
    public static final Block MULTIBLOCKFACADE_BLOCK = new MultiBlockFacadeBlock(FabricBlockSettings.of(Material.METAL).strength(4.0f));
	public static final BlockEntityType<MultiBlockFacadeBlockEntity> MULTIBLOCKFACADE_BLOCKENTITY = FabricBlockEntityTypeBuilder.create(MultiBlockFacadeBlockEntity::new, MULTIBLOCKFACADE_BLOCK).build();

    public static void initialize(){
		Registry.register(Registry.BLOCK, new Identifier(dmBlock.MODID, "multiblockfacade_block"), MULTIBLOCKFACADE_BLOCK);
		Registry.register(Registry.ITEM, new Identifier(dmBlock.MODID, "multiblockfacade_block"), new BlockItem(MULTIBLOCKFACADE_BLOCK, new FabricItemSettings().group(ItemGroup.MISC)));
		Registry.register(Registry.BLOCK_ENTITY_TYPE, new Identifier(dmBlock.MODID, "multiblockfacade_blockentity"), MULTIBLOCKFACADE_BLOCKENTITY);
    }
    
}
