package me.parsell.dmblock.Common;

import me.parsell.dmblock.dmBlockClient;
import net.minecraft.client.MinecraftClient;
import net.minecraft.client.render.RenderLayers;
import net.minecraft.client.render.VertexConsumerProvider;
import net.minecraft.client.render.block.entity.BlockEntityRenderer;
import net.minecraft.client.render.block.entity.BlockEntityRendererFactory;
import net.minecraft.client.util.math.MatrixStack;
import net.minecraft.world.BlockRenderView;

public class MultiBlockFacadeBlockEntityRenderer implements BlockEntityRenderer<MultiBlockFacadeBlockEntity> {
    public MultiBlockFacadeBlockEntityRenderer(BlockEntityRendererFactory.Context ctx) {}

    @SuppressWarnings({"resource"})
    @Override
    public void render(MultiBlockFacadeBlockEntity blockEntity, float tickDelta, MatrixStack matrices, VertexConsumerProvider vertexConsumers, int light, int overlay) {
        matrices.push();
        MinecraftClient.getInstance().getBlockRenderManager().renderBlock(blockEntity.getReplacedBlockState(), blockEntity.getPos(), (BlockRenderView)MinecraftClient.getInstance().world, matrices, vertexConsumers.getBuffer(RenderLayers.getBlockLayer(blockEntity.getReplacedBlockState())), true, dmBlockClient.dmRandom);
        matrices.pop();
    }
}
